<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/background_color"
    android:orientation="vertical">

    <LinearLayout
        android:id="@+id/search_view"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:background="@color/background_color"
        android:orientation="vertical"
        android:visibility="visible"
        app:layout_constraintTop_toBottomOf="@id/add_itinerary_title">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="40dp"
            android:layout_marginStart="@dimen/common_padding"
            android:layout_marginTop="@dimen/common_padding"
            android:layout_marginEnd="@dimen/common_padding"
            android:layout_marginBottom="@dimen/common_padding"
            android:background="@drawable/shape_corner_background_search"
            android:orientation="vertical">

            <com.pan_american.android.util.SearchView
                android:id="@+id/search_text"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:layout_marginStart="@dimen/common_padding"
                android:layout_marginEnd="@dimen/common_padding"
                android:background="@color/white"
                android:imeOptions="actionSearch"
                android:singleLine="true"
                android:textColor="@color/text_color"
                android:textSize="@dimen/text_size_medium" />

        </LinearLayout>

    </LinearLayout>

    <com.scwang.smart.refresh.layout.SmartRefreshLayout
        android:id="@+id/group_info_container"
        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:layout_margin="@dimen/common_padding"
        android:layout_weight="1"
        app:srlEnablePreviewInEditMode="true">

        <com.scwang.smart.refresh.header.ClassicsHeader
            android:layout_width="match_parent"
            android:layout_height="wrap_content" />

        <androidx.recyclerview.widget.RecyclerView
            android:id="@+id/group_info_list"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:overScrollMode="never" />

        <com.scwang.smart.refresh.footer.ClassicsFooter
            android:layout_width="match_parent"
            android:layout_height="wrap_content" />
    </com.scwang.smart.refresh.layout.SmartRefreshLayout>
</LinearLayout>